--get adress

if m_simpleTV.Control.ChangeAdress ~= 'No' then return end
local inAdr =  m_simpleTV.Control.CurrentAdress
if inAdr==nil then return end

if not string.match( inAdr, '|X%-Forwarded%-For=' ) then return end


m_simpleTV.Control.ChangeAdress='Yes'
m_simpleTV.Control.CurrentAdress = ''

retAdr = string.gsub(inAdr, '|X%-Forwarded%-For=', '$OPT:http-ext-header=X-Forwarded-For:')
--debug_in_file (retAdr )

m_simpleTV.Control.CurrentAdress = retAdr